org.apache.lucene.search.grouping

## Enum TopGroups.ScoreMergeMode

- java.lang.Object
- - java.lang.Enum<TopGroups.ScoreMergeMode>
  - - org.apache.lucene.search.grouping.TopGroups.ScoreMergeMode

- All Implemented Interfaces:
    Serializable, Comparable<TopGroups.ScoreMergeMode>
  Enclosing class:
    TopGroups<T>

      public static enum TopGroups.ScoreMergeMode
      extends Enum<TopGroups.ScoreMergeMode>

  How the GroupDocs score (if any) should be merged.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Avg`
    `None` Set score to Float.NaN
    `Total`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TopGroups.ScoreMergeMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TopGroups.ScoreMergeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final TopGroups.ScoreMergeMode None

      Set score to Float.NaN

    - #### Total

          public static final TopGroups.ScoreMergeMode Total

    - #### Avg

          public static final TopGroups.ScoreMergeMode Avg

  - ### Method Detail

    - #### values

          public static TopGroups.ScoreMergeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TopGroups.ScoreMergeMode c : TopGroups.ScoreMergeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TopGroups.ScoreMergeMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.